import { __extends } from "../../../node_modules/tslib/tslib.es6.mjs";
import DataZoomView from "./DataZoomView.mjs";
var SelectDataZoomView = (
  /** @class */
  function(_super) {
    __extends(SelectDataZoomView2, _super);
    function SelectDataZoomView2() {
      var _this = _super !== null && _super.apply(this, arguments) || this;
      _this.type = SelectDataZoomView2.type;
      return _this;
    }
    SelectDataZoomView2.type = "dataZoom.select";
    return SelectDataZoomView2;
  }(DataZoomView)
);
const SelectZoomView = SelectDataZoomView;
export {
  SelectZoomView as default
};
